Subject: MG-MGC Roundtrip Time (was RE: comments for <draft-ietf-megaco-re gs-05.txt>)

From: Tom-PT Taylor <[email-masked]>
Date: Mon, 16 Aug 1999 07:01:21 -0500

> -----Original Message-----
> From: Kimmo Rantanen [SMTP:[email-masked]]
> Sent: Monday, August 16, 1999 2:00 AM
> To:   [email-masked]
> Subject:      Re: comments for <draft-ietf-megaco-regs-05.txt>
>
> Hello Nancy.
>
> Below is my comments.
>
>
        [[TomT]]  snip
> >
> > > Chapter 5.8. According to points c. and d., please specify maximum
> > > round-trip time (MGC-MG-MGC) or is it somewhere e.g. 1 sec ?
> > >
> > I don't think we can specify maximum round trip time at this time.
> >
>
> ((KIMMO))
>
> Could we say then that it is unlimited and transport protocol takes care
> about it? (refer to cont. check timing).
>
        [[TomT]]  On this specific point, it would seem prudent that when we
decide what messages our protocol will carry (particularly in the event
packages), we limit our ambitions by assuming some minimum round-trip time
between the MG and MGC.  I had in mind something on the order of 100 ms.
Any process that cannot tolerate such a delay would have to take place
entirely within the MG, and the protocol would have to support that by
providing all of the necessary information in advance.

        This is probably very late in the game to make such a remark, but I
thought it might be useful to establish a rule of thumb for evaluating event
package feasibility.